package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Token;
import java.util.Optional;


public interface TokenMapper {
    Optional<Token> findAllValidTokenByUser(Long id);

    Optional<Token> findByToken(String token);

    void save(Token token);

    void updateToken(Token token);

    int getCount(Long id);

    void updateResetToken(Long id);
}
